org.wildfly.swarm.spi.api

## Class OutboundSocketBinding

- java.lang.Object
- - org.wildfly.swarm.spi.api.OutboundSocketBinding

-     public class OutboundSocketBinding
      extends Object

  An outbound socket-binding.

  Define a named host-and-port combination for outbound communications.

  Author:
    Bob McWhirter
  See Also:
    `SocketBindingGroup`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundSocketBinding(String name)` Construct a new outbound binding.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Retrieve the name of the binding.
    `OutboundSocketBinding` | `remoteHost(String hostExpr)` Set the remote-host name or expression.
    `String` | `remoteHostExpression()` Retrieve the remote-host name or expression.
    `OutboundSocketBinding` | `remotePort(int port)` Set the remote port.
    `OutboundSocketBinding` | `remotePort(String portExpr)` Set the remote port expression
    `String` | `remotePortExpression()` Retrieve the remote port expression.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundSocketBinding

          public OutboundSocketBinding(String name)

      Construct a new outbound binding.
      Parameters:
        `name` - The name of the binding.

  - ### Method Detail

    - #### name

          public String name()

      Retrieve the name of the binding.
      Returns:
        The name of the binding.

    - #### remoteHost

          public OutboundSocketBinding remoteHost(String hostExpr)

      Set the remote-host name or expression.
      Parameters:
        `hostExpr` - The remote host name or expression.
      Returns:
        this binding.

    - #### remoteHostExpression

          public String remoteHostExpression()

      Retrieve the remote-host name or expression.
      Returns:
        The remote host name or expression.

    - #### remotePort

          public OutboundSocketBinding remotePort(int port)

      Set the remote port.
      Parameters:
        `port` - The remote port.
      Returns:
        this binding.

    - #### remotePort

          public OutboundSocketBinding remotePort(String portExpr)

      Set the remote port expression
      Parameters:
        `portExpr` - The remote port expression
      Returns:
        this binding.

    - #### remotePortExpression

          public String remotePortExpression()

      Retrieve the remote port expression.
      Returns:
        the remote port expression.

Copyright © 2018 JBoss by Red Hat. All rights reserved.